Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  NotationFactoryImpl

    public interface NotationFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `NotationPackage`
** Generated **

Field Summary
`static NotationFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`ArrowStyle` `createArrowStyle()` Returns a new object of class 'Arrow Style'
`BasicCompartment` `createBasicCompartment()` Returns a new object of class 'Basic Compartment'
`BasicDecorationNode` `createBasicDecorationNode()` Returns a new object of class 'Basic Decoration Node'
`BasicSemanticCompartment` `createBasicSemanticCompartment()` Returns a new object of class 'Basic Semantic Compartment'
`BooleanListValueStyle` `createBooleanListValueStyle()` Returns a new object of class 'Boolean List Value Style'
`BooleanValueStyle` `createBooleanValueStyle()` Returns a new object of class 'Boolean Value Style'
`Bounds` `createBounds()` Returns a new object of class 'Bounds'
`ByteArrayValueStyle` `createByteArrayValueStyle()` Returns a new object of class 'Byte Array Value Style'
`CanonicalStyle` `createCanonicalStyle()` Returns a new object of class 'Canonical Style'
`Compartment` `createCompartment()` Returns a new object of class 'Compartment'
`Connector` `createConnector()` Returns a new object of class 'Connector'
`ConnectorStyle` `createConnectorStyle()` Returns a new object of class 'Connector Style'
`DataTypeStyle` `createDataTypeStyle()` Returns a new object of class 'Data Type Style'
`DecorationNode` `createDecorationNode()` Returns a new object of class 'Decoration Node'
`DescriptionStyle` `createDescriptionStyle()` Returns a new object of class 'Description Style'
`Diagram` `createDiagram()` Returns a new object of class 'Diagram'
`DiagramLinkStyle` `createDiagramLinkStyle()` Returns a new object of class 'Diagram Link Style'
`DiagramStyle` `createDiagramStyle()` Returns a new object of class 'Diagram Style'
`DoubleListValueStyle` `createDoubleListValueStyle()` Returns a new object of class 'Double List Value Style'
`DoubleValueStyle` `createDoubleValueStyle()` Returns a new object of class 'Double Value Style'
`DrawerStyle` `createDrawerStyle()` Returns a new object of class 'Drawer Style'
`Edge` `createEdge()` Returns a new object of class 'Edge'
`EObjectListValueStyle` `createEObjectListValueStyle()` Returns a new object of class 'EObject List Value Style'
`EObjectValueStyle` `createEObjectValueStyle()` Returns a new object of class 'EObject Value Style'
`FillStyle` `createFillStyle()` Returns a new object of class 'Fill Style'
`FilteringStyle` `createFilteringStyle()` Returns a new object of class 'Filtering Style'
`FontStyle` `createFontStyle()` Returns a new object of class 'Font Style'
`Guide` `createGuide()` Returns a new object of class 'Guide'
`GuideStyle` `createGuideStyle()` Returns a new object of class 'Guide Style'
`HintedDiagramLinkStyle` `createHintedDiagramLinkStyle()` Returns a new object of class 'Hinted Diagram Link Style'
`IdentityAnchor` `createIdentityAnchor()` Returns a new object of class 'Identity Anchor'
`Image` `createImage()` Returns a new object of class 'Image'
`ImageBufferStyle` `createImageBufferStyle()` Returns a new object of class 'Image Buffer Style'
`ImageStyle` `createImageStyle()` Returns a new object of class 'Image Style'
`IntListValueStyle` `createIntListValueStyle()` Returns a new object of class 'Int List Value Style'
`IntValueStyle` `createIntValueStyle()` Returns a new object of class 'Int Value Style'
`LineStyle` `createLineStyle()` Returns a new object of class 'Line Style'
`LineTypeStyle` `createLineTypeStyle()` Returns a new object of class 'Line Type Style'
`ListCompartment` `createListCompartment()` Returns a new object of class 'List Compartment'
`ListValueStyle` `createListValueStyle()` Returns a new object of class 'List Value Style'
`Location` `createLocation()` Returns a new object of class 'Location'
`MultiDiagramLinkStyle` `createMultiDiagramLinkStyle()` Returns a new object of class 'Multi Diagram Link Style'
`NamedStyle` `createNamedStyle()` Returns a new object of class 'Named Style'
`Node` `createNode()` Returns a new object of class 'Node'
`PageStyle` `createPageStyle()` Returns a new object of class 'Page Style'
`PropertiesSetStyle` `createPropertiesSetStyle()` Returns a new object of class 'Properties Set Style'
`PropertyValue` `createPropertyValue()` Returns a new object of class 'Property Value'
`Ratio` `createRatio()` Returns a new object of class 'Ratio'
`RelativeBendpoints` `createRelativeBendpoints()` Returns a new object of class 'Relative Bendpoints'
`RoundedCornersStyle` `createRoundedCornersStyle()` Returns a new object of class 'Rounded Corners Style'
`RoutingStyle` `createRoutingStyle()` Returns a new object of class 'Routing Style'
`SemanticListCompartment` `createSemanticListCompartment()` Returns a new object of class 'Semantic List Compartment'
`Shape` `createShape()` Returns a new object of class 'Shape'
`ShapeStyle` `createShapeStyle()` Returns a new object of class 'Shape Style'
`SingleValueStyle` `createSingleValueStyle()` Returns a new object of class 'Single Value Style'
`Size` `createSize()` Returns a new object of class 'Size'
`SortingStyle` `createSortingStyle()` Returns a new object of class 'Sorting Style'
`StandardDiagram` `createStandardDiagram()` Returns a new object of class 'Standard Diagram'
`StringListValueStyle` `createStringListValueStyle()` Returns a new object of class 'String List Value Style'
`StringValueStyle` `createStringValueStyle()` Returns a new object of class 'String Value Style'
`TextStyle` `createTextStyle()` Returns a new object of class 'Text Style'
`TitleStyle` `createTitleStyle()` Returns a new object of class 'Title Style'
`NotationPackage` `getNotationPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final NotationFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createEdge

    Edge createEdge()

  Returns a new object of class 'Edge'.

  Returns:
    a new object of class 'Edge'.
  ** Generated **

### createNode

    Node createNode()

  Returns a new object of class 'Node'.

  Returns:
    a new object of class 'Node'.
  ** Generated **

### createFillStyle

    FillStyle createFillStyle()

  Returns a new object of class 'Fill Style'.

  Returns:
    a new object of class 'Fill Style'.
  ** Generated **

### createLineStyle

    LineStyle createLineStyle()

  Returns a new object of class 'Line Style'.

  Returns:
    a new object of class 'Line Style'.
  ** Generated **

### createFontStyle

    FontStyle createFontStyle()

  Returns a new object of class 'Font Style'.

  Returns:
    a new object of class 'Font Style'.
  ** Generated **

### createTitleStyle

    TitleStyle createTitleStyle()

  Returns a new object of class 'Title Style'.

  Returns:
    a new object of class 'Title Style'.
  ** Generated **

### createSortingStyle

    SortingStyle createSortingStyle()

  Returns a new object of class 'Sorting Style'.

  Returns:
    a new object of class 'Sorting Style'.
  ** Generated **

### createDescriptionStyle

    DescriptionStyle createDescriptionStyle()

  Returns a new object of class 'Description Style'.

  Returns:
    a new object of class 'Description Style'.
  ** Generated **

### createSize

    Size createSize()

  Returns a new object of class 'Size'.

  Returns:
    a new object of class 'Size'.
  ** Generated **

### createLocation

    Location createLocation()

  Returns a new object of class 'Location'.

  Returns:
    a new object of class 'Location'.
  ** Generated **

### createBounds

    Bounds createBounds()

  Returns a new object of class 'Bounds'.

  Returns:
    a new object of class 'Bounds'.
  ** Generated **

### createRatio

    Ratio createRatio()

  Returns a new object of class 'Ratio'.

  Returns:
    a new object of class 'Ratio'.
  ** Generated **

### createIdentityAnchor

    IdentityAnchor createIdentityAnchor()

  Returns a new object of class 'Identity Anchor'.

  Returns:
    a new object of class 'Identity Anchor'.
  ** Generated **

### createRoutingStyle

    RoutingStyle createRoutingStyle()

  Returns a new object of class 'Routing Style'.

  Returns:
    a new object of class 'Routing Style'.
  ** Generated **

### createRelativeBendpoints

    RelativeBendpoints createRelativeBendpoints()

  Returns a new object of class 'Relative Bendpoints'.

  Returns:
    a new object of class 'Relative Bendpoints'.
  ** Generated **

### createCanonicalStyle

    CanonicalStyle createCanonicalStyle()

  Returns a new object of class 'Canonical Style'.

  Returns:
    a new object of class 'Canonical Style'.
  ** Generated **

### createShapeStyle

    ShapeStyle createShapeStyle()

  Returns a new object of class 'Shape Style'.

  Returns:
    a new object of class 'Shape Style'.
  ** Generated **

### createConnectorStyle

    ConnectorStyle createConnectorStyle()

  Returns a new object of class 'Connector Style'.

  Returns:
    a new object of class 'Connector Style'.
  ** Generated **

### createDiagram

    Diagram createDiagram()

  Returns a new object of class 'Diagram'.

  Returns:
    a new object of class 'Diagram'.
  ** Generated **

### createImage

    Image createImage()

  Returns a new object of class 'Image'.

  Returns:
    a new object of class 'Image'.
  ** Generated **

### createPageStyle

    PageStyle createPageStyle()

  Returns a new object of class 'Page Style'.

  Returns:
    a new object of class 'Page Style'.
  ** Generated **

### createDrawerStyle

    DrawerStyle createDrawerStyle()

  Returns a new object of class 'Drawer Style'.

  Returns:
    a new object of class 'Drawer Style'.
  ** Generated **

### createGuideStyle

    GuideStyle createGuideStyle()

  Returns a new object of class 'Guide Style'.

  Returns:
    a new object of class 'Guide Style'.
  ** Generated **

### createGuide

    Guide createGuide()

  Returns a new object of class 'Guide'.

  Returns:
    a new object of class 'Guide'.
  ** Generated **

### createFilteringStyle

    FilteringStyle createFilteringStyle()

  Returns a new object of class 'Filtering Style'.

  Returns:
    a new object of class 'Filtering Style'.
  ** Generated **

### createDiagramStyle

    DiagramStyle createDiagramStyle()

  Returns a new object of class 'Diagram Style'.

  Returns:
    a new object of class 'Diagram Style'.
  ** Generated **

### createImageStyle

    ImageStyle createImageStyle()

  Returns a new object of class 'Image Style'.

  Returns:
    a new object of class 'Image Style'.
  ** Generated **

### createImageBufferStyle

    ImageBufferStyle createImageBufferStyle()

  Returns a new object of class 'Image Buffer Style'.

  Returns:
    a new object of class 'Image Buffer Style'.
  ** Generated **

### createPropertiesSetStyle

    PropertiesSetStyle createPropertiesSetStyle()

  Returns a new object of class 'Properties Set Style'.

  Returns:
    a new object of class 'Properties Set Style'.
  ** Generated **

### createPropertyValue

    PropertyValue createPropertyValue()

  Returns a new object of class 'Property Value'.

  Returns:
    a new object of class 'Property Value'.
  ** Generated **

### createSingleValueStyle

    SingleValueStyle createSingleValueStyle()

  Returns a new object of class 'Single Value Style'.

  Returns:
    a new object of class 'Single Value Style'.
  ** Generated **

### createListValueStyle

    ListValueStyle createListValueStyle()

  Returns a new object of class 'List Value Style'.

  Returns:
    a new object of class 'List Value Style'.
  ** Generated **

### createNamedStyle

    NamedStyle createNamedStyle()

  Returns a new object of class 'Named Style'.

  Returns:
    a new object of class 'Named Style'.
  ** Generated **

### createDataTypeStyle

    DataTypeStyle createDataTypeStyle()

  Returns a new object of class 'Data Type Style'.

  Returns:
    a new object of class 'Data Type Style'.
  ** Generated **

### createIntValueStyle

    IntValueStyle createIntValueStyle()

  Returns a new object of class 'Int Value Style'.

  Returns:
    a new object of class 'Int Value Style'.
  ** Generated **

### createIntListValueStyle

    IntListValueStyle createIntListValueStyle()

  Returns a new object of class 'Int List Value Style'.

  Returns:
    a new object of class 'Int List Value Style'.
  ** Generated **

### createBooleanValueStyle

    BooleanValueStyle createBooleanValueStyle()

  Returns a new object of class 'Boolean Value Style'.

  Returns:
    a new object of class 'Boolean Value Style'.
  ** Generated **

### createDoubleValueStyle

    DoubleValueStyle createDoubleValueStyle()

  Returns a new object of class 'Double Value Style'.

  Returns:
    a new object of class 'Double Value Style'.
  ** Generated **

### createDoubleListValueStyle

    DoubleListValueStyle createDoubleListValueStyle()

  Returns a new object of class 'Double List Value Style'.

  Returns:
    a new object of class 'Double List Value Style'.
  ** Generated **

### createStringValueStyle

    StringValueStyle createStringValueStyle()

  Returns a new object of class 'String Value Style'.

  Returns:
    a new object of class 'String Value Style'.
  ** Generated **

### createStringListValueStyle

    StringListValueStyle createStringListValueStyle()

  Returns a new object of class 'String List Value Style'.

  Returns:
    a new object of class 'String List Value Style'.
  ** Generated **

### createEObjectValueStyle

    EObjectValueStyle createEObjectValueStyle()

  Returns a new object of class 'EObject Value Style'.

  Returns:
    a new object of class 'EObject Value Style'.
  ** Generated **

### createEObjectListValueStyle

    EObjectListValueStyle createEObjectListValueStyle()

  Returns a new object of class 'EObject List Value Style'.

  Returns:
    a new object of class 'EObject List Value Style'.
  ** Generated **

### createByteArrayValueStyle

    ByteArrayValueStyle createByteArrayValueStyle()

  Returns a new object of class 'Byte Array Value Style'.

  Returns:
    a new object of class 'Byte Array Value Style'.
  ** Generated **

### createBooleanListValueStyle

    BooleanListValueStyle createBooleanListValueStyle()

  Returns a new object of class 'Boolean List Value Style'.

  Returns:
    a new object of class 'Boolean List Value Style'.
  ** Generated **

### createHintedDiagramLinkStyle

    HintedDiagramLinkStyle createHintedDiagramLinkStyle()

  Returns a new object of class 'Hinted Diagram Link Style'.

  Returns:
    a new object of class 'Hinted Diagram Link Style'.
  ** Generated **

### createDiagramLinkStyle

    DiagramLinkStyle createDiagramLinkStyle()

  Returns a new object of class 'Diagram Link Style'.

  Returns:
    a new object of class 'Diagram Link Style'.
  ** Generated **

### createMultiDiagramLinkStyle

    MultiDiagramLinkStyle createMultiDiagramLinkStyle()

  Returns a new object of class 'Multi Diagram Link Style'.

  Returns:
    a new object of class 'Multi Diagram Link Style'.
  ** Generated **

### createTextStyle

    TextStyle createTextStyle()

  Returns a new object of class 'Text Style'.

  Returns:
    a new object of class 'Text Style'.
  ** Generated **

### createLineTypeStyle

    LineTypeStyle createLineTypeStyle()

  Returns a new object of class 'Line Type Style'.

  Returns:
    a new object of class 'Line Type Style'.
  ** Generated **

### createArrowStyle

    ArrowStyle createArrowStyle()

  Returns a new object of class 'Arrow Style'.

  Returns:
    a new object of class 'Arrow Style'.
  ** Generated **

### createShape

    Shape createShape()

  Returns a new object of class 'Shape'.

  Returns:
    a new object of class 'Shape'.
  Since:
    1.2
  ** Generated **

### createCompartment

    Compartment createCompartment()

  Returns a new object of class 'Compartment'.

  Returns:
    a new object of class 'Compartment'.
  Since:
    1.2
  ** Generated **

### createListCompartment

    ListCompartment createListCompartment()

  Returns a new object of class 'List Compartment'.

  Returns:
    a new object of class 'List Compartment'.
  Since:
    1.2
  ** Generated **

### createConnector

    Connector createConnector()

  Returns a new object of class 'Connector'.

  Returns:
    a new object of class 'Connector'.
  Since:
    1.2
  ** Generated **

### createStandardDiagram

    StandardDiagram createStandardDiagram()

  Returns a new object of class 'Standard Diagram'.

  Returns:
    a new object of class 'Standard Diagram'.
  Since:
    1.2
  ** Generated **

### createDecorationNode

    DecorationNode createDecorationNode()

  Returns a new object of class 'Decoration Node'.

  Returns:
    a new object of class 'Decoration Node'.
  Since:
    1.2
  ** Generated **

### createBasicDecorationNode

    BasicDecorationNode createBasicDecorationNode()

  Returns a new object of class 'Basic Decoration Node'.

  Returns:
    a new object of class 'Basic Decoration Node'.
  Since:
    1.2
  ** Generated **

### createBasicCompartment

    BasicCompartment createBasicCompartment()

  Returns a new object of class 'Basic Compartment'.

  Returns:
    a new object of class 'Basic Compartment'.
  Since:
    1.2
  ** Generated **

### createBasicSemanticCompartment

    BasicSemanticCompartment createBasicSemanticCompartment()

  Returns a new object of class 'Basic Semantic Compartment'.

  Returns:
    a new object of class 'Basic Semantic Compartment'.
  Since:
    1.2
  ** Generated **

### createSemanticListCompartment

    SemanticListCompartment createSemanticListCompartment()

  Returns a new object of class 'Semantic List Compartment'.

  Returns:
    a new object of class 'Semantic List Compartment'.
  Since:
    1.2
  ** Generated **

### createRoundedCornersStyle

    RoundedCornersStyle createRoundedCornersStyle()

  Returns a new object of class 'Rounded Corners Style'.

  Returns:
    a new object of class 'Rounded Corners Style'.
  Since:
    1.4
  ** Generated **

### getNotationPackage

    NotationPackage getNotationPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.